<!--
  @description:不合格供应商详情组件
  @Modifier: haofengxian
  @routerPath:
  @date: 2020-7-9-11:10
-->
<template>
  <el-dialog
    v-dialogDrag
    :visible.sync="dialog"
    title="不合格供应商"
    width="700px"
    custom-class="el-dialog__body-p0"
  >
    <blacklistInfoComDetail v-if="dialog" ref="blacklistInfoComp" />
  </el-dialog>
</template>

<script>
import blacklistInfoComDetail from './blacklistInfoComp-detail'// 供应商黑名单查看组件
export default {
  name: 'SupplierUnqualifiedDetail',
  components: {
    blacklistInfoComDetail// 供应商黑名单查看组件
  },
  data() {
    return {
      dialog: false // 弹框展示状态
    }
  },
  methods: {
    // 父组件触发-打开弹框获取详情
    open(id) {
      this.dialog = true
      // DOM渲染完成获取不合格供应商组件详情
      this.$nextTick(() => {
        this.$refs.blacklistInfoComp.getBlacklistInfo(id) // 获取详情
      })
    }
  }
}
</script>

<style scoped lang="less">

</style>
